package core

import (
	"git.akyoto.dev/cli/q/src/build/config"
	"git.akyoto.dev/cli/q/src/build/scope"
)

// AddVariable adds a new variable to the current scope.
func (f *Function) AddVariable(variable *scope.Variable) {
	if config.Comments {
		f.Comment("%s = %s (%d uses)", variable.Name, variable.Register, variable.Alive)
	}

	scope := f.CurrentScope()
	variable.Scope = scope
	scope.Variables[variable.Name] = variable
	scope.Use(variable.Register)
}
