package core

import (
	"git.akyoto.dev/cli/q/src/build/asm"
)

// JumpIfFalse jumps to the label if the previous comparison was false.
func (f *Function) JumpIfFalse(operator string, label string) {
	switch operator {
	case "==":
		f.Jump(asm.JNE, label)
	case "!=":
		f.Jump(asm.JE, label)
	case ">":
		f.Jump(asm.JLE, label)
	case "<":
		f.Jump(asm.JGE, label)
	case ">=":
		f.Jump(asm.JL, label)
	case "<=":
		f.Jump(asm.JG, label)
	}
}
